Arch SplitMesh/ro: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
 
(6 intermediate revisions by 2 users not shown)
Line 1: Line 1:
<languages/>
<languages/>

{{Docnav
{{Docnav
|[[Arch_CloneComponent|Clone component]]
|[[Arch_CloneComponent|Clonecomponent]]
|[[Arch_MeshToShape|Mesh To Shape]]
|[[Arch_MeshToShape|MeshToShape]]
|[[Arch_Module|Arch]]
|[[Arch_Workbench|Arch]]
|IconL=Arch_Component_Clone.svg
|IconL=Arch_CloneComponent.svg
|IconC=Workbench_Arch.svg
|IconR=Arch_MeshToShape.svg
|IconR=Arch_MeshToShape.svg
|IconC=Workbench_Arch.svg
}}
}}


Line 14: Line 15:
|Name/ro=Arch SplitMesh
|Name/ro=Arch SplitMesh
|MenuLocation=Arch → Utilities → Split Mesh
|MenuLocation=Arch → Utilities → Split Mesh
|Workbenches=[[Arch Module|Arch]]
|Workbenches=[[Arch_Workbench/ro|Arch]]
|SeeAlso=[[Arch SelectNonSolidMeshes]], [[Arch MeshToShape]]
|SeeAlso=[[Arch SelectNonSolidMeshes]], [[Arch MeshToShape]]
}}
}}
Line 22: Line 23:


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
Acest instrument împarte un obiect selectat [[Mesh Module | Mesh]] în componentele sale separate
Acest instrument împarte un obiect selectat [[Mesh Workbench | Mesh]] în componentele sale separate
</div>
</div>


Line 33: Line 34:
# Apăsați {{KEY|[[Image:Arch SplitMesh.png|16px]] '''Split Mesh'''}} entry in Arch -> Utilities menu
# Apăsați {{KEY|[[Image:Arch SplitMesh.png|16px]] '''Split Mesh'''}} entry in Arch -> Utilities menu
</div>
</div>

==Scripting==


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
Line 68: Line 71:
new_list = Arch.splitMesh(mesh_obj)
new_list = Arch.splitMesh(mesh_obj)
}}
}}



{{Docnav
{{Docnav
|[[Arch_CloneComponent|Clone component]]
|[[Arch_CloneComponent|Clonecomponent]]
|[[Arch_MeshToShape|Mesh To Shape]]
|[[Arch_MeshToShape|MeshToShape]]
|[[Arch_Module|Arch]]
|[[Arch_Workbench|Arch]]
|IconL=Arch_Component_Clone.svg
|IconL=Arch_CloneComponent.svg
|IconC=Workbench_Arch.svg
|IconR=Arch_MeshToShape.svg
|IconR=Arch_MeshToShape.svg
|IconC=Workbench_Arch.svg
}}
}}


{{Arch Tools navi{{#translation:}}}}
{{Arch_Tools_navi{{#translation:}}}}

{{Userdocnavi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 16:52, 12 March 2022

Arch SplitMesh

poziția meniului
Arch → Utilities → Split Mesh
Ateliere
Arch
scurtătură
nici unul
Prezentat în versiune
-
A se vedea, de asemenea,
Arch SelectNonSolidMeshes, Arch MeshToShape

Descriere

Acest instrument împarte un obiect selectat Mesh în componentele sale separate

Cum se folosește

  1. Selectați un obiect tip plasă
  2. Apăsați Split Mesh entry in Arch -> Utilities menu

Scripting

Scrip-Programare

Instrumentul Split Mesh poate fi utilizat în macros și din consola python utilizând următoarea funcție:

new_list = splitMesh(obj, mark=True)

împarte obiectul tip plasă dat în componente separate.

Example:

import FreeCAD, Draft, Arch, Mesh, MeshPart

Line = Draft.makeWire([FreeCAD.Vector(0, 0, 0),FreeCAD.Vector(2000, 2000, 0)])
Wall = Arch.makeWall(Line, width=150, height=3000)
FreeCAD.ActiveDocument.recompute()

Shape = Wall.Shape.copy(False)
Shape.Placement = Wall.getGlobalPlacement()

mesh_obj = FreeCAD.ActiveDocument.addObject("Mesh::Feature", "Mesh")
mesh_obj.Mesh = MeshPart.meshFromShape(Shape=Shape, MaxLength=520)
mesh_obj.ViewObject.DisplayMode = "Flat Lines"

new_list = Arch.splitMesh(mesh_obj)